python-bloomfilter_2.0-1_amd64.deb


Advertisement

Description

python-bloomfilter - Native Python implementation of the Bloom filter probabilistic data structure

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-bloomfilter
Package version: 2.0
Package release: 1
Package architecture: amd64
Package type: deb
Installed size: 75 B
Download size: 8.60 KB
Official Mirror: archive.ubuntu.com
This module includes both the Bloom filter probabilistic data structure, together with a Scalable Bloom filter that allows a bloom filter to grow without knowing the original set size. Bloom filters are great if you understand what amount of bits you need to set aside early to store your entire set. Scalable Bloom Filters allow your bloom filter bits to grow as a function of false positive probability and size.

Alternatives

Requires

    Download

    Source package: python-bloomfilter

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-bloomfilter deb package:
      # sudo apt-get install python-bloomfilter

    Files

    • /usr/lib/python2.7/dist-packages/pybloom/__init__.py
    • /usr/lib/python2.7/dist-packages/pybloom/benchmarks.py
    • /usr/lib/python2.7/dist-packages/pybloom/pybloom.py
    • /usr/lib/python2.7/dist-packages/pybloom/tests.py
    • /usr/lib/python2.7/dist-packages/pybloom-2.0.0.egg-info/PKG-INFO
    • /usr/lib/python2.7/dist-packages/pybloom-2.0.0.egg-info/SOURCES.txt
    • /usr/lib/python2.7/dist-packages/pybloom-2.0.0.egg-info/dependency_links.txt
    • /usr/lib/python2.7/dist-packages/pybloom-2.0.0.egg-info/requires.txt
    • /usr/lib/python2.7/dist-packages/pybloom-2.0.0.egg-info/top_level.txt
    • /usr/lib/python2.7/dist-packages/pybloom-2.0.0.egg-info/zip-safe
    • /usr/share/doc/python-bloomfilter/README.txt
    • /usr/share/doc/python-bloomfilter/changelog.Debian.gz
    • /usr/share/doc/python-bloomfilter/copyright
    • /usr/share/doc/python-bloomfilter/examples/tests.py

    Changelog

    2015-05-23 - Ulises Vitulli <dererk@debian.org> python-bloomfilter (2.0-1) unstable; urgency=medium * New upstream release. * Deprecate python-support. Thanks to dktrkranz@ heads-up (Closes: #786046). * Bumped up to Standards-Version 3.9.5. No changes required.

    2011-02-25 - Ulises Vitulli <dererk@debian.org> python-bloomfilter (1.0.3-1) unstable; urgency=low * Initial release (Closes: #615101).

    Advertisement
    Advertisement